/* 다크 모드 - 예외 */
@media (prefers-color-scheme: dark) {
    .give__donation-widget .give__button {
        box-shadow:
            0 0.1rem 0.2rem 0 rgba(255, 255, 255, 0.3),
            0 0.2rem 0.6rem 0.2rem rgba(255, 255, 255, 0.15);
    }
}

/* ===============================================
   give
   =============================================== */
.give {
    padding: 9.6rem 6.4rem;
    display: flex;
    justify-content: center;
}

.give__container {
    width: 64.0rem;
    display: flex;
    flex-direction: column;
    gap: 9.6rem;
}


/* Give Intro */
.give__intro {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 1.6rem;
}

.give__intro-text {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
}

.give__title {
    padding: 0;
    margin: 0;
    font-family: "source-serif-pro", serif;
    font-size: 3.2rem;
    font-weight: var(--font-weight-regular);
    font-style: italic;
    line-height: 160%;
    color: var(--color-main);
}

.give__description {
    padding: 0;
    margin: 0;
    font-size: 1.6rem;
    font-weight: var(--font-weight-regular);
    /* Figma = Medium --> CSS = Regular */
    line-height: 200%;
}

.give__button {
    all: unset;
    box-sizing: border-box;

    width: 14.4rem;
    height: 14.4rem;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 3.2rem;
    font-weight: var(--font-weight-regular);

    border-radius: 50%;

    background-color: var(--color-hero);
    color: var(--color-text-inverse);

    cursor: pointer;

    box-shadow:
        0 0.1rem 0.2rem 0 rgba(60, 64, 67, 0.3),
        0 0.2rem 0.6rem 0.2rem rgba(60, 64, 67, 0.15);

    transition:
        background-color 0.35s ease,
        color 0.35s ease,
        box-shadow 0.35s ease,
        transform 0.2s ease;
}

.give__button:hover {
    background-color: var(--color-main);
    color: var(--color-text-fixed-white);

    box-shadow:
        0 0.4rem 0.8rem rgba(60, 64, 67, 0.25),
        0 0.8rem 2.4rem rgba(60, 64, 67, 0.2);

    transform: translateY(-0.2rem);
}

.give__button:active {
    transform: translateY(0);
    box-shadow:
        0 0.2rem 0.4rem rgba(60, 64, 67, 0.2);
}


/* Text to Give */
.give__text-to-give {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
}

.give__method-title {
    padding: 0;
    margin: 0;
    font-family: "source-serif-pro", serif;
    font-size: 3.2rem;
    font-weight: var(--font-weight-regular);
    font-style: italic;
    line-height: 160%;
    color: var(--color-main);
}

.give__method-description {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
}

.give__method-text {
    padding: 0;
    margin: 0;
    font-size: 1.6rem;
    font-weight: var(--font-weight-regular);
    /* Figma = Medium --> CSS = Regular */
    line-height: 200%;
}



/* ===============================================
   모바일 반응형
   Desktop : 1728px / (1512px) / 1440px / (1280px)
   Mobile : 1024px / 768px / 390px / 375px

            1512px = 95em(94.5)
            1280px = 80em
            1024px = 64em
   반응형 --> 0768px = 48em
   반응형 --> 0612px = 39em(38.25) - 390px 대신
            0390px = 25em(24.375)
            0375px = 24em(23.43)
            0320px = 16em
   =============================================== */
@media (max-width: 768px) {
    .give {
        padding-top: 3.2rem;
        padding-bottom: 6.4rem;
    }

    .give__container {
        gap: 6.4rem;
    }
}

@media (max-width: 612px) {
    .give {
        padding-left: 1.6rem;
        padding-right: 1.6rem;
    }

    /* Give Intro */
    .give__intro {
        flex-direction: column;
        gap: 6.4rem;
        align-items: center;
    }

    .give__intro-text {
        gap: 1.0rem;
    }

    .give__title br {
        display: none;
    }

    /* Text to Give */
    .give__text-to-give {
        gap: 1.0rem;
    }

    .give__method-description {
        gap: 1.0rem;
    }
}